Summary:	USB topology and device viewer
Name:		usbview
Version:	2.0
Release:	%mkrel 7
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://www.kroah.com/linux-usb/
Source:		http://www.kroah.com/linux-usb//%{name}-%{version}.tar.gz
BuildRequires:	gtk+3-devel 
BuildRequires:	imagemagick

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install

for i in 16x16 32x32 48x48 64x64; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$i/apps
convert -resize $i usb_icon.xpm %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;
EOF

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/*/*


%changelog
* Thu May 12 2016 daviddavid <daviddavid> 2.0-7.mga6
+ Revision: 1014096
- use another upstream icon to resize thus fixing build

* Sat Feb 06 2016 umeabot <umeabot> 2.0-6.mga6
+ Revision: 940717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-5.mga5
+ Revision: 740259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-4.mga5
+ Revision: 690094
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-3.mga4
+ Revision: 519911
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 385169
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 tv <tv> 2.0-1.mga3
+ Revision: 309630
- new release

* Thu Aug 30 2012 tv <tv> 1.1-2.mga3
+ Revision: 285881
- imported package usbview


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdv2011.0
+ Revision: 615382
- the mass rebuild of 2010.1 packages

* Thu Dec 03 2009 Thierry Vignaud <tv@mandriva.org> 1.1-1mdv2010.1
+ Revision: 473017
- BR imagemagick

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - welcome back usbview
    - update to new version 1.1
    - bump buildrequires to gtk2
    - drop all patches
    - import usbview


* Mon Dec  19 2005 Erwan Velu <erwan@seanodes.com> 1.0-10mdk
- Rebuild

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-9mdk
- lib64 fixes

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-8mdk
- rebuild
- use %%make macro
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep

* Wed Jan 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- English proofreading of menu entries (by Stew Benedicts)

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-6mdk
- build release

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-5mdk
- source 2 : add usbview.7 and usbview.8 man pages
- patch 1 : fix gtk warning when opening about and configure dialogs 
- patch 2 : make about & configure buttons looking as in other apps
- rpmlint fixes

* Mon Aug 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-4mdk
- Applied fix from David Paschal (http://hpoj.sf.net/): Hex numbers in
  /proc/bus/usb/devices were parsed as decimal numbers.

* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 1.0-3mdk
- spec clean up: macros, s/Copyright/License, globbing
- png icons

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-2mdk
- BuildRequires:	gtk+-devel
- Removed BuildRequires:	XFree86-devel

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- 1.0.

* Sat Dec  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-2mdk
- Add icons.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.1-2mdk
- BM
- more macros

* Fri Jun 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.1-1mdk
- macros everywhere.
- 0.8.1.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.0-2mdk
- Add menu.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0.
- Clean up specs.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.0-3mdk
- ready for 7.1

* Wed Dec  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- small specs tweaks.

* Tue Dec 07 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- first specfile
